GeoBaseBounds (Lucene 10.5.0 spatial3d API)
Description: declaration: package: org.apache.lucene.spatial3d.geom, class: GeoBaseBounds

Package org.apache.lucene.spatial3d.geom

# Class GeoBaseBounds

java.lang.Object
org.apache.lucene.spatial3d.geom.BasePlanetObject
org.apache.lucene.spatial3d.geom.GeoBaseBounds

All Implemented Interfaces:
  `Bounded`, `GeoBounds`, `Membership`, `PlanetObject`, `SerializableObject`

Direct Known Subclasses:
  `GeoBaseShape`

public abstract class GeoBaseBounds extends BasePlanetObject implements GeoBounds
Base object that supports bounds operations.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.spatial3d.geom.BasePlanetObject

  `planetModel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeoBaseBounds(PlanetModel planetModel)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getBounds(Bounds bounds)`
  Compute bounds for the shape.

  ### Methods inherited from class org.apache.lucene.spatial3d.geom.BasePlanetObject

  `equals, getPlanetModel, hashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

  `isWithin, isWithin`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

  `getPlanetModel`

  ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

  `write`

- ## Constructor Details

  - ### GeoBaseBounds

    public GeoBaseBounds(PlanetModel planetModel)
    Constructor.
    Parameters:
      `planetModel` - is the planet model to use.

- ## Method Details

  - ### getBounds

    public void getBounds(Bounds bounds)
    Description copied from interface: `Bounded`
    Compute bounds for the shape.
    Specified by:
      `getBounds` in interface `Bounded`
    Parameters:
      `bounds` - is the input bounds object. The input object will be modified.